<div class="d-sm-flex align-items-center justify-content-between mb-4">
  <h1 class="h3 text-gray-800">Edit Room {{room.number}}</h1>
</div>
<div class="row">
  <div class="col">

    <form [formGroup]="roomEditForm" (ngSubmit)="onSubmit()">
      <div class="form-group">
        <label for="inputId">Room id</label>
        <input type="text" class="form-control-plaintext" id="inputId" formControlName="id">
      </div>
      <div class="form-group">
        <label for="inputTeam">Team</label>
        <input type="text" class="form-control-plaintext" id="inputTeam" [value]="roomEditForm.get('team').value.name">
      </div>
      <div class="form-group">
        <label for="inputNumber">Number</label>
        <input type="text" class="form-control" id="inputNumber" formControlName="number">
      </div>
      <div class="form-group">
        <label for="inputFloor">Floor</label>
        <input type="text" class="form-control" id="inputFloor" formControlName="floorName">
      </div>
      <div class="form-group">
        <label for="inputBuilding">Building</label>
        <input type="text" class="form-control" id="inputBuilding" formControlName="building">
      </div>
      <div class="form-group">
        <label for="inputAllowedVisitors">Allowed Visitors</label>
        <input type="number" class="form-control" id="inputAllowedVisitors" formControlName="allowedVisitors">
      </div>
      <button type="submit" class="btn btn-primary" [disabled]="!roomEditForm.valid">Submit</button>
    </form>

  </div>
</div>
<hr class="my-4">
<div class="row py-4">
  <div class="col">
    <h2 class="h3 text-gray-800">Delete Room</h2>
    <p>Deleting this room cannot be undone! The whole booking history for this room will be erased and cannot be downloaded anymore!</p>
    <button class="btn btn-danger" (click)="deleteRoom()">Delete Room</button>
  </div>
</div>
